update tagents_product
set fisonsale=1,
    fonsaleby=$username$,
    fonsaledate=getDate(),
    foffsaleby= null,
    foffsaledate= null,
    changeby=$username$,
    changedate=getDate()
where siteid=$siteid$ and tagentsid=$tagentsid$ and tagents_productid = $tagents_productid$